# 基本输出
# 输出使用的函数是 print()函数，作用,将程序中的数据或者结果打印到控制台()屏幕
print('hello world')
name ='小明'
print(name)
age = 18
print(name, age) # 可以使用逗号输出多个内容

# 格式化输出
# 在字符串中指定的位置,输出变量中存储的值
# 1.在需要使用变量的地方,使用特殊符号占位
# 2.使用变量填充占位的数据
# %格式化输出占位符号
# %a 占位,填充 整型数据 digit
# %f 占位.填充 浮点型数据 float
# %s 占位,填充 字符串数据 str

# 定义变量 姓名 年龄 身高
name ='小明' #可以使用 input 输入
age=18 #可以使用 input 输入
height = 1.71 #可以使用 input 输入

# 要求按照以下个数输出个人信息
#我的名字是 xx，年龄是 xx，身高是 xx m
# 使用格式化输出实现
#print('我的名字是 name，年龄是 age，身高是 height m')
print('我的名字是 %s，年龄是 %d，身高是%f m' % (name, age, height))
# 小数默认显示 6 位，如果想要指定显示小数点后几位， %.nf，n 需要换成具体的整数数字,即保留小数的位置
print('我的名字是 %s，年龄是 %d，身高是%.2fm' % (name, age, height)) # 两位小数
print('我的名字是 %s，年龄是 %d，身高是%.1f m' % (name, age, height)) # 一位小数

# 补充
stu_num = 1 #学号
#我的学号是 000001
print('我的学号是%d'% stu_num)
# %nd n 需要换成具体的整数数字，表示整数一共占几位print('我的学号是%06d’%stu_num)
print('我的学号是%06d'% stu_num)

num=90 #考试的及格率
# 某次考试的及格率为 98%，如果在 格式化中需要显示%，在书写的使用需要使用 两个 %% 才可以
print('某次考试的及格率为 %d%%'% num)
# (多个变量要加括号，单个不用加括号)